{% extends 'base.html.twig' %}

{% block title %}Product index{% endblock %}

{% block body %}
    <h1>Products</h1>

    <table class="table">
        <thead>
            <tr>
                {# <th>Id</th> #}
                <th>Name</th>
                <th class="mobile">Description</th>
                <th>Quantity</th>
                <th>Price</th>
                <th class="mobile">Datecreate</th>
                <th>Actions</th>
            </tr>
        </thead>
        <tbody>
        {% for product in products %}
            <tr>
                {# <td>{{ product.id }}</td> #}
                <td>{{ product.name }}</td>
                <td class="mobile">{{ product.description }}</td>
                <td>{{ product.quantity }}</td>
                <td>{{ product.price }}</td>
                <td class="mobile">{{ product.datecreate ? product.datecreate|date('d/m/Y') : '' }}</td>
                <td>
                {% if app.user %}
                    <a class="white" href="{{ path('product_show', {'id': product.id}) }}">show</a>
                    <a class="white" href="{{ path('product_edit', {'id': product.id}) }}">edit</a>
                {% endif %}
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="7">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>
    {% if app.user %}
    <a class="white" href="{{ path('product_new') }}">Create new</a>
    {% endif %}
{% endblock %}
